Completions (legacy)
Uses the legacy Completions protocol format. New code should use Chat Completions; this endpoint exists for backward compatibility only.
POST https://wrouter.ai/v1/completionsBody
| Parameter | Type | Required | Notes |
|---|---|---|---|
model | string | ✓ | e.g. gpt-3.5-turbo-instruct, davinci-002 |
prompt | string | string[] | ✓ | Input |
max_tokens | integer | ||
temperature | number | ||
top_p | number | ||
n | integer | ||
stream | boolean | ||
stop | string | string[] | ||
suffix | string | ||
echo | boolean |
Response
json
{
"id": "cmpl-xxx",
"object": "text_completion",
"created": 1718000000,
"model": "gpt-3.5-turbo-instruct",
"choices": [{"text": "...", "index": 0, "finish_reason": "stop"}],
"usage": {"prompt_tokens": 5, "completion_tokens": 7, "total_tokens": 12}
}Example
bash
curl https://wrouter.ai/v1/completions \
-H "Authorization: Bearer $WROUTER_API_KEY" \
-H "Content-Type: application/json" \
-d '{"model":"gpt-3.5-turbo-instruct","prompt":"hello, ","max_tokens":16}'